#include <Ice/Ice.h>
#include "test.h"
#include <iostream>
#include <iostream>
#include <strstream>


void usage(::std::string prgname) {
	::std::cerr << "Usage: " << prgname << " put|get <szLocalFilename> <szLogicalFilename>" << ::std::endl;
}

int main(int argc,char **argv) 
{
	try
	{
		Ice::CommunicatorPtr ic = Ice::initialize(argc,argv);

		Ice::ObjectPrx obj;

		::std::string szConnString = "test: default -h localhost -p 11001";

		obj = ic->stringToProxy(szConnString);
		CTestPrx test = CTestPrx::checkedCast(obj);
		test->doSomething();

	}
	catch (CErr err)
	{
		::std::cerr << "catched error thrown by server -> everything o.k." << ::std::endl;
	}
	catch (const Ice::Exception &ex)
	{
		::std::cerr << ex;
		return 1;
	}
	catch (const char* msg)
	{
		::std::cerr << msg << ::std::endl;
		return 1;
	}

	return 0;
}
