/*
 * $LastChangedDate$
 * $Rev$ / $Author$
 */

#include <Ice/Ice.h>
#include "testi.h"
#include "exceptions.h"



class CServerApplication : public Ice::Application
{
public:

	/**
	 * Overwritten from Ice::Application to instantiate, register
	 * and run the factories
	 */
	virtual int run(int argc, char** argv)
	{
		int status = 1;

		shutdownOnInterrupt();
		try
		{
			std::string szConnString = std::string("default -h localhost -p 11001");
			Ice::ObjectAdapterPtr adapter = communicator()->createObjectAdapterWithEndpoints("testadapter", szConnString);

			CTestI* testPtr = new CTestI();

			adapter->add(testPtr, Ice::stringToIdentity("test"));
			adapter->activate();

			communicator()->waitForShutdown();
			status = 0;
		}
		catch (const Ice::Exception &ex)
		{
			std::cerr << ex << std::endl;
		}
		catch (const char* msg)
		{
			std::cerr << msg << std::endl;
		}

		return status;
	} // !run()
};



int main(int argc, char* argv[])
{
	CServerApplication app;
	return app.main(argc, argv);
}

